<?php
/**
 * The template for displaying Comments
 * The area of the page that contains comments and the comment form.
 *
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>

	<h2 class="comments-title">
		<?php echo get_comments_number(); ?> Response(s)
	</h2>

	<ol class="comment-list" itemscope itemtype="http://schema.org/UserComments">
		<?php
			wp_list_comments( array( 'callback' => 'sarkpress_comment_render', 'style' => 'ol' ) );
		?>
	</ol><!-- .comment-list -->
	
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h1 class="assistive-text section-heading">Comment navigation</h1>
			<div class="nav-previous"><?php previous_comments_link( '&larr; Older Comments', 'sarkpress' ); ?></div>
			<div class="nav-next"><?php next_comments_link( 'Newer Comments &rarr;', 'sarkpress' ); ?></div>
		</nav>
	<?php endif; ?>

	<?php if ( ! comments_open() ) : ?>
	<p class="no-comments">Comments are closed.</p>
	<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php comment_form(); ?>

</div><!-- #comments -->
