<?php
	
	include_once( get_template_directory().'/inc/sarkpress-function.php');
	include_once( get_template_directory().'/inc/sarkpress-options.php');
	
	function sarkpress_setup() {
		
		if ( ! isset( $GLOBALS['$content_width'] ) ) { $GLOBALS['$content_width'] = 825; }
		add_theme_support( 'automatic-feed-links' );	
		add_theme_support('post-thumbnails');
		add_theme_support( 'html5', array( 'search-form' ) );
		
		register_nav_menu( 'primary', 'Primary Menu' );	
	
	}
	add_action( 'after_setup_theme', 'sarkpress_setup' );

	function sark_widgets_init() {		
		register_sidebar( array(
			'name'          => 'Primary Sidebar',
			'id'            => 'sidebar-1',
			'description'   => 'Main sidebar that appears on the right.',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h1 class="widget-title">',
			'after_title'   => '</h1>',
		) );
	}
	add_action( 'widgets_init', 'sark_widgets_init' );
	
	function sarkpress_comment_render( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment; 
		switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :		
	?>
		<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
			<p>Pingback: <?php comment_author_link(); ?> <?php edit_comment_link( '(Edit)', '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
		global $post;
	?>
		
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
			<table class="comment-body-table">
				<tr>
					<td>
						<?php echo get_avatar( $comment, 44 ); ?>
					</td>
					<td>
						<div class="comment-body-wrapper">
							<p class="comment-author-name" itemprop="creator" itemscope itemtype="http://schema.org/Person"><strong itemprop="name"><?php printf('%s', get_comment_author_link()) ?></strong> says :</p>  		 
		                	<a class="comment-permalink" href="<?php echo htmlspecialchars ( get_comment_link( $comment->comment_ID ) ) ?>"><span itemprop="commentTime"><?php printf('%1$s', get_comment_date(), get_comment_time()) ?></span></a>
		                	<div itemprop="commentText"><?php comment_text(); ?></div>
		                	<?php if ($comment->comment_approved == '0') : ?>
				                <em>Your comment is awaiting moderation.</em><br />
				            <?php endif; ?>		            
				            
				            <div class="reply" itemprop="replyToUrl">
				                <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'after' => ' <span>&darr;</span>', 'max_depth' => $args['max_depth']))) ?>
				            </div>
			            </div>
					</td>
				</tr>
			</table>         
	<?php 
		break;
		endswitch;
	}
	
	/**
	 * Courtesy : http://www.wpbeginner.com/wp-themes/how-to-add-numeric-pagination-in-your-wordpress-theme/
	 */
	function sarkpress_pagination() {
	
		if( is_singular() )
			return;
	
		global $wp_query;
	
		/** Stop execution if there's only 1 page */
		if( $wp_query->max_num_pages <= 1 )
			return;
	
		$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
		$max   = intval( $wp_query->max_num_pages );
	
		/**	Add current page to the array */
		if ( $paged >= 1 )
			$links[] = $paged;
	
		/**	Add the pages around the current page to the array */
		if ( $paged >= 3 ) {
			$links[] = $paged - 1;
			$links[] = $paged - 2;
		}
	
		if ( ( $paged + 2 ) <= $max ) {
			$links[] = $paged + 2;
			$links[] = $paged + 1;
		}
	
		echo '<div class="sark-pagination"><ul>' . "\n";
	
		/**	Previous Post Link */
		if ( get_previous_posts_link() )
			printf( '<li>%s</li>' . "\n", get_previous_posts_link() );
	
		/**	Link to first page, plus ellipses if necessary */
		if ( ! in_array( 1, $links ) ) {
			$class = 1 == $paged ? ' class="active"' : '';
	
			printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );
	
			if ( ! in_array( 2, $links ) )
				echo '<li>...</li>';
		}
	
		/**	Link to current page, plus 2 pages in either direction if necessary */
		sort( $links );
		foreach ( (array) $links as $link ) {
			$class = $paged == $link ? ' class="active"' : '';
			printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
		}
	
		/**	Link to last page, plus ellipses if necessary */
		if ( ! in_array( $max, $links ) ) {
			if ( ! in_array( $max - 1, $links ) )
				echo '<li>...</li>' . "\n";
	
			$class = $paged == $max ? ' class="active"' : '';
			printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
		}
	
		/**	Next Post Link */
		if ( get_next_posts_link() )
			printf( '<li>%s</li>' . "\n", get_next_posts_link() );
	
		echo '</ul></div>' . "\n";
	
	}
	
	/* Load Style sheets */
	function sarkpress_styles() {
		global $wp_styles;	
		
		wp_enqueue_style( 'sarkpress-fonts', get_template_directory_uri() . '/stylesheet/fonts.css', array(), '20121010' );
		wp_enqueue_style( 'sarkpress-bootstrap', get_template_directory_uri() . '/stylesheet/bootstrap.css', array(), '20121010' );
		wp_enqueue_style( 'sarkpress-bootstrap-theme', get_template_directory_uri() . '/stylesheet/bootstrap-theme.min.css', array( 'sarkpress-bootstrap' ), '20121010' );
		wp_enqueue_style( 'sarkpress-font-awesome', get_template_directory_uri() . '/stylesheet/font-awesome.min.css', array( 'sarkpress-bootstrap-theme' ), '20121010' );
		wp_enqueue_style( 'sarkpress-style', get_stylesheet_uri(), array( 'sarkpress-font-awesome' ), '20121010' );
	
	}
	add_action( 'wp_enqueue_scripts', 'sarkpress_styles' );
	
	/* Load Javascripts */
	function sarkpress_scripts () {		
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
			wp_enqueue_script( 'comment-reply' );
		
		wp_enqueue_script('bootstrap', get_template_directory_uri() . '/javascript/bootstrap.min.js', array('jquery'), null, false );
		wp_enqueue_script('sarkpress_script', get_template_directory_uri() . '/javascript/sarkpress_script.js', array('bootstrap'), null, false );
	}
	add_action('wp_enqueue_scripts', 'sarkpress_scripts');
	
	/** Adding ie related scripts 
	 *  taken from http://stackoverflow.com/questions/11564142/wordpress-enqueue-scripts-for-only-if-lt-ie-9
	 * */
	function sarkpress_ie_scripts() {
		echo 	'<!--[if lt IE 9]>
					<script src="'. get_template_directory_uri() .'/javascript/html5shiv.js"></script>
		  			<script src="'. get_template_directory_uri() .'/javascript/respond.js"></script>
				<![endif]-->';
	}
	add_action( 'wp_footer', 'sarkpress_ie_scripts' );	
	
	/* Adding readmore link */
	function sarkpress_readmore_link( $text ) {
		return str_replace('[&hellip;]', ' <a class="sarkpress-readmore" href="'. esc_url( get_permalink() ) .'">Read more <i class="fa fa-angle-double-right"></i></a>', $text); 
	}
	add_filter('the_excerpt', 'sarkpress_readmore_link');

?>