<!DOCTYPE HTML>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
	<head>	
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">	
		
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
		
		<?php $sarkpress_options = get_option('sarkpress_theme_options'); ?>
		<link rel="shortcut icon" href="<?php echo $sarkpress_options['favicon']; ?>" type="image/x-icon">	
		
		<title><?php wp_title( '|', true, 'right' ); ?></title>	

		<?php wp_head(); ?>		
	</head>
	
	<body <?php body_class(); ?>>
	
		<div class="container-fluid">
		
			<div class="row sark-top-row">
			
				<div class="container">
				
					<div class="row">
			
						<div class="col-sm-8 col-md-8 inner-col-left sark-top-contact-column">				
							<ul class="sark-top-contact-ul">
								<?php if( $sarkpress_options['phonenumber'] != null && $sarkpress_options['phonenumber'] != "" ) : ?>
								<li><a href=""><i class="fa fa-phone"></i><?php echo $sarkpress_options['phonenumber']; ?></a></li>
								<?php endif; ?>
								<?php if( $sarkpress_options['email'] != null && $sarkpress_options['email'] != "" ) : ?>
								<li><a href="mailto:mycholan@ymail.com"><i class="fa fa-envelope"></i><?php echo $sarkpress_options['email']; ?></a></li>
								<?php endif; ?>
							</ul>				
						</div>
						
						<div class="col-sm-4 col-md-4 sark-top-search-form inner-col-right">
							<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
								<label>				
									<i class="fa fa-search"></i>			
									<input type="search" class="sark-search-field" placeholder="Search..." value="" name="s" title="Search for:" />								
								</label>						
							</form>			
						</div>
				
					</div>
				
				</div>
			
			</div>
		
			<div class="row main-menu-container">
				<div class="container">
				
					<div class="row main-menu-container-wrapper">					
						<div class="col-xs-3">	
							<?php if( $sarkpress_options['logo'] != null && $sarkpress_options['logo'] != "" ) : ?>	
							<a href="<?php echo esc_url( home_url() ); ?>" title='<?php echo esc_attr( get_bloginfo( 'title' ) ); ?> &mdash; <?php echo esc_attr( get_bloginfo( 'description' ) ); ?>' rel='home' class="sark-logo-tag"><img alt="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>" src="<?php echo $sarkpress_options['logo']; ?>"></a>
							<?php else : ?>
							<h1 class="blog-title">
							<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?> &mdash; <?php echo esc_attr( get_bloginfo( 'description' ) ); ?>" rel="home"><?php echo esc_attr( get_bloginfo( 'title' ) ); ?></a>
							</h1>
							<?php endif; ?>
						</div>
						<nav class="col-xs-9 inner-col-right">	
							<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'sark-main-nav-menu' ) ); ?>						
						</nav>
					</div>
				
					<div class="row mobile-menu-container-wrapper">	
						<div class="col-md-12">
							<div class="mobile-toggle-wrapper">
								<a href="<?php echo esc_url( home_url() ); ?>" title="Visit home" class="sark-logo-tag"><img alt="" src="<?php echo $sarkpress_options['logo']; ?>"></a>
								<a href="" title="" class="sark-mobile-toggle" id="sark-mobile-nav-menu"><i class="fa fa-th"></i></a>
							</div>
							<nav>
								<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'sark-mobile-nav-menu' ) ); ?>
							</nav>	
						</div>					
					</div>
			
				</div>
			
			</div>
			
			<!-- Main content container start -->
			<div class="container sark-main-content-container">