<?php 

function sarkpress_render_post_thumbnail() {
	if ( post_password_required() || ! has_post_thumbnail() ) {
		return;
	}

	if ( is_singular() ) :
	?>

	<div class="post-thumbnail" itemprop="thumbnail">
	<?php the_post_thumbnail(); ?>
	</div>

	<?php else : ?>

	<a class="post-thumbnail" href="<?php the_permalink(); ?>">
	<?php the_post_thumbnail(); ?>
	</a>

	<?php endif; // End is_singular()
}

function sarkpress_render_post_meta() {
	$pmeta = '<ul class="sark-post-meta">';
	$pmeta .= '<li><i class="fa fa-user"></i> <span itemprop="author" itemscope="" class="vcard author"><a class="url fn n" href="'. esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) .'" rel="author">'.get_the_author().'</a></span></li>';
	$pmeta .= '<li><i class="fa fa-calendar "></i> <span class="entry-date date updated" itemprop="dateModified"><a href="'.esc_url( get_permalink() ).'" rel="bookmark"><time class="entry-date" datetime="'.esc_attr( get_the_date( 'c' ) ).'">'.esc_html( get_the_date() ).'</time></a></span> </li>';
	$pmeta .= '<li><span class="sark-post-under-categories"><i class="fa fa-sitemap"></i></span>';
	
	$categories = wp_get_post_categories( get_the_ID() );
	foreach ( $categories as $id ) {
		$category = get_category( $id );
		$pmeta .= '<a href="'. get_category_link( $category->term_id ) .'" title="'. $category->cat_name .'" class="label label-success">'. $category->cat_name .'</a>';
	}
	
	$pmeta .= '</li><li>';
	
	if ( !post_password_required() && ( comments_open() || get_comments_number() ) && is_single() ) {
		$pmeta .= '<span class="comments-link"><i class="fa fa-comments"></i>'. get_comments_number() .' Comment(s)</span>';
	}
	
	$pmeta .= '</li></ul>';
	echo $pmeta;
}

?>